SDL_mutex Struct Reference

`#include <SDL_sysmutex_c.h>`

## Data Fields

int | recursive
SDL_threadID | owner
SDL_sem * | sem
pthread_mutex_t | id
pthread_t | owner
std::recursive_mutex | cpp_mutex

## Detailed Description

Definition at line 29 of file SDL_sysmutex.c.

## Field Documentation

std::recursive_mutex SDL_mutex::cpp_mutex

Definition at line 27 of file SDL_sysmutex_c.h.

Referenced by SDL_CondWaitTimeout(), SDL_mutexP(), SDL_mutexV(), and SDL_TryLockMutex().

pthread_mutex_t SDL_mutex::id

Definition at line 38 of file SDL_sysmutex.c.

Referenced by SDL_CondWait(), SDL_CondWaitTimeout(), SDL_CreateMutex(), SDL_DestroyMutex(), SDL_LockMutex(), SDL_TryLockMutex(), and SDL_UnlockMutex().

SDL_threadID SDL_mutex::owner

Definition at line 32 of file SDL_sysmutex.c.

Referenced by SDL_CreateMutex(), SDL_LockMutex(), SDL_mutexV(), SDL_TryLockMutex(), and SDL_UnlockMutex().

pthread_t SDL_mutex::owner

Definition at line 41 of file SDL_sysmutex.c.

int SDL_mutex::recursive

Definition at line 31 of file SDL_sysmutex.c.

Referenced by SDL_CreateMutex(), SDL_LockMutex(), SDL_mutexV(), SDL_TryLockMutex(), and SDL_UnlockMutex().

SDL_sem* SDL_mutex::sem

Definition at line 33 of file SDL_sysmutex.c.

Referenced by SDL_CreateMutex(), SDL_DestroyMutex(), SDL_LockMutex(), SDL_mutexV(), and SDL_TryLockMutex().

The documentation for this struct was generated from the following files:

- src/thread/generic/SDL_sysmutex.c
- src/thread/pthread/SDL_sysmutex_c.h